# Uses of Interface
org.apache.sling.discovery.base.connectors.ping.ConnectorRegistry

Packages that use ConnectorRegistry
Package
Description
org.apache.sling.discovery.base.commons
Provides some common classes for discovery implementors that choose to extend from discovery.base
org.apache.sling.discovery.base.connectors.ping
Provides topology connector implementations for discovery implementors that choose to extend from discovery.base

## Uses of ConnectorRegistry in org.apache.sling.discovery.base.commons

Methods in org.apache.sling.discovery.base.commons that return ConnectorRegistry
Modifier and Type
Method
Description
`protected abstract ConnectorRegistry`
BaseViewChecker.`getConnectorRegistry()`

## Uses of ConnectorRegistry in org.apache.sling.discovery.base.connectors.ping

Classes in org.apache.sling.discovery.base.connectors.ping that implement ConnectorRegistry
Modifier and Type
Class
Description
`class`
`ConnectorRegistryImpl`
Default implementation of the ConnectorRegistry which keeps a list of outgoing connectors and is capable of pinging them.
Methods in org.apache.sling.discovery.base.connectors.ping that return ConnectorRegistry
Modifier and Type
Method
Description
`static ConnectorRegistry`
ConnectorRegistryImpl.`testConstructor(AnnouncementRegistry announcementRegistry, BaseConfig config)`